Skip to Content
Verification

Create Verification

Create a verification process.

POST/v2/verifications

Create a verification process.

Request body

▸
▸typestringRequired

Verification type (FULL_CHECK | IDENTITY_CREDIT_CHECK | IDENTITY_CHECK).

▸languagestringOptionalDefaults to pl

Language used for communication with tenants (pl|en|ua).

▸numberOfTenantsnumberOptionalDefaults to 1

Number of tenant verifications with a joint affordability check to be performed within the created process.

▸tenantsobject arrayOptional

If provided, an email with a verification link will be issued to each tenant.

▸emailstringRequired

Tenant's email.

▸propertyobjectRequired

Object containing details of the rented property.

▸rentnumberOptional

Rent amount with all fees included to compare with tenant's salary (required if type == FULL_CHECK) .

▸citystringRequired

City where the property is located.

▸streetstringRequired

Street where the property is located.

▸postalCodestringRequired

Polish post code in format 00-000.

▸houseNumberstringRequired

House number of the property.

▸flatNumberstringOptional

Flat number of the property.

▸contactPersonobjectOptional

Email of person responsible for the tenant (for customer support purposes).

▸referenceIdstringRequired

Unique ID of the verification process in the client system.

▸projectIdstringOptional

Optionally specifies the target project for the verification. If the provided ID (unique per organization) does not exist, the system creates a new project record with that identifier.

▸callbackUrlstringOptional

Callback URL for process updates (see callback return object).

Request Example
curl --location --request POST 'https://api-test.simpl.rent/v2/verifications' \ --header 'Authorization: <API key>' \ --header 'Content-Type: application/json' \ --data-raw '{ "type": "FULL_CHECK", "language": "pl", "numberOfTenants": 1, "tenants": [ { "email": "test@simpl.rent" } ], "property": { "rent": 1000, "city": "krakow", "street": "ul. Dluga", "houseNumber": "1", "flatNumber": "1", "postalCode": "00-000" }, "contactPerson": { "name": "Marcin", "email": "Nowak", "phone": "500 400 100" }, "referenceId": "123", "projectId": "my-project-001", "callbackUrl": "https://simpl.rent" }'

Get Verification

GET/v2/verifications/{id}

Fetch verification process data.

Path parameters

▸
▸idstring

ID (referenceId) provided when creating the verification.

Returns

▸
▸referenceIdstring

ID (referenceId) provided when creating the verification.

▸projectIdstring or undefined

Project ID provided when creating the verification.

▸tenantsobject array

Array of current verification states for each tenant in the process.

▸idstring

Tenant's ID.

▸certificateIdstring

ID used to fetch the Tenant Certificate.

▸emailstring

Tenant's email.

▸namestring

Tenant's name.

▸surnamestring

Tenant's surname.

▸identityCheckstring

Identity check status (NOT_STARTED|PENDING|PASSED|FAILED).

▸affordabilityCheckstring

Affordability check status (NOT_STARTED|SUBMITTED|PENDING|PASSED|FAILED).

▸creditCheckstring

Credit check status (NOT_STARTED|SUBMITTED|PASSED|FAILED).

▸sanctionsCheckstring or undefined

Sanctions check status (NOT_STARTED|SUBMITTED|PASSED|FAILED). Require additional configuration - contact info@simpl.rent for more info

▸finalStatusstring

Final status (NOT_STARTED|PENDING|PASSED|FAILED).

To obtain verification state explanations, use certificateId to download Tenant Certificate.

Request Example
curl --location --request GET 'https://api-test.simpl.rent/v2/verifications/123' \ --header 'Authorization: <API key>'

Cancel Verification

DELETE/v2/verifications/{id}

Cancel the verification process. The verification is cancelable only if the tenant has not performed any checks yet.

Path parameters

▸
▸idstring

ID (referenceId) provided when creating the verification.

If the verification is not started, it will cancel itself after 5 days since the last update.
Request Example
curl --location --request DELETE 'https://api-test.simpl.rent/v2/verifications/123' \ --header 'Authorization: <API key>'

Get Tenant Certificate

GET/v2/certificates/{id}

Fetch the Tenant Certificate PDF file.

Path parameters

▸
▸idstring

ID (certificateId) from tenant verification data.

Query parameters

▸
▸langstringOptionalDefaults to pl

Language of the certificate. Available options are 'en', 'pl', 'ua'. If not provided, the default language is 'pl'.

Returns

▸
▸pdfContent-Type: application/pdf

PDF file containing the tenant certificate.

Request Example
curl --location --request GET 'https://api-test.simpl.rent/v2/certificates/zved?lang=pl' \ --header 'Authorization: <API key>' --output certificate.pdf

Get Tenant Verification history

GET/v2/certificates/{id}/history

Fetch the Tenant Verification history link.

Path parameters

▸
▸certificateIdstring

ID (certificateId) from tenant verification data.

Query parameters

▸
▸langstringOptionalDefaults to pl

Language of the history. Available options are 'en', 'pl', 'ua'. If not provided, the default language is 'pl'.

Returns

▸
▸historyUrl

An url that redirects you to the Tenant Verification History page.

Request Example
curl --location --request GET 'https://api-test.simpl.rent/v2/certificates/k7l/history?lang=pl' \ --header 'Authorization: <API key>' --output <link>

Send Verification Invitation/Reminder

POST/v2/verifications/{id}/invite

Send verification process invitation/reminder to a tenant (same email as on create verification action).

Request body

▸
▸tenantobject

Tenant's email.

▸emailstring

Tenant's email.

Request Example
curl --location --request POST '/v2/verifications/123/invite' \ --header 'Authorization: <API key>' \ --header 'Content-Type: application/json' \ --data-raw '{ "tenant": { "email": "test@simpl.rent" } }'

Callback Return Object

Callback return object.

Fields

▸
▸referenceIdstring

Unique ID of the verification process in the client system.

▸verificationStatusstring or null

Verification status (CANCELED).

▸tenantsobject array or null

Array of tenants.

▸certificateIdstring

Certificate ID.

▸emailstring

Tenant's email.

▸namestring

Tenant's name.

▸surnamestring

Tenant's surname.

▸identityCheckstring

Identity check status.

▸affordabilityCheckstring

Affordability check status.

▸creditCheckstring

Credit check status.

▸sanctionsCheckstring or null

Sanctions check status.

▸finalStatusstring

Final status.